Bug 832178 - Review Request: python-django-picklefield - Implementation of a pickled object field
Review Request: python-django-picklefield - Implementation of a pickled objec...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 736776
  Show dependency treegraph
 
Reported: 2012-06-14 14:33 EDT by Matthias Runge
Modified: 2012-06-29 03:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-25 14:46:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bkabrda: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Runge 2012-06-14 14:33:59 EDT
Spec URL: http://www.matthias-runge.de/fedora/python-django-picklefield.spec
SRPM URL: http://www.matthias-runge.de/fedora/python-django-picklefield-0.2.1-1.fc17.src.rpm
Description: django-picklefield provides an implementation of a pickled object field.
Such fields can contain any picklable objects.

The implementation is taken and adopted from Django snippet #1694 by
Taavi Taijala, which is in turn based on Django snippet #513 by
Oliver Beattie.
Fedora Account System Username: mrunge

This is a review required for package rename.

[mrunge@sofja SPECS]$ rpmlint ./python-django-picklefield.spec ../SRPMS/python-django-picklefield-0.2.1-1.fc17.src.rpm ../RPMS/noarch/python-django-picklefield-0.2.1-1.fc17.noarch.rpm 
python-django-picklefield.src: W: spelling-error %description -l en_US picklable -> pickle
python-django-picklefield.noarch: W: spelling-error %description -l en_US picklable -> pickle
python-django-picklefield.noarch: E: zero-length /usr/lib/python2.7/site-packages/picklefield/models.py
2 packages and 1 specfiles checked; 1 errors, 2 warnings.

That zero-length file won't harm in any way.
Comment 1 Bohuslav "Slavek" Kabrda 2012-06-18 02:09:21 EDT
I'll take this one for a review.
Comment 2 Bohuslav "Slavek" Kabrda 2012-06-18 03:39:19 EDT
The only thing I would advise here is adding runtime dependency on Django (Requires: python-django), as the package needs Django to do something.

Otherwise I see no problems => The package is APPROVED.
Comment 3 Matthias Runge 2012-06-18 05:07:48 EDT
thank you for the review!

I'll fix the requirement before submitting to scm.

New Package SCM Request
=======================
Package Name: python-django-picklefield
Short Description: Implementation of a pickled object field
Owners: mrunge
Branches: devel
Comment 4 Jon Ciesla 2012-06-18 09:04:46 EDT
Git done (by process-git-requests).
Comment 5 Matthias Runge 2012-06-25 14:46:55 EDT
imported and built. Thanks
Comment 6 Matthias Runge 2012-06-29 03:33:26 EDT
forgot to add: https://fedorahosted.org/rel-eng/ticket/5231

Note You need to log in before you can comment on or make changes to this bug.